Skip to content
Start here

[DEPRECATED] Get Pipeline

Deprecated
client.Pipelines.Get(ctx, pipelineName, query) (*PipelineGetResponse, error)
GET/accounts/{account_id}/pipelines/{pipeline_name}

[DEPRECATED] Get configuration of a pipeline. Use the new /pipelines/v1/pipelines endpoint instead.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Pipelines WritePipelines Read
ParametersExpand Collapse
pipelineName string

Defines the name of the pipeline.

maxLength128
minLength1
query PipelineGetParams
AccountID param.Field[string]

Specifies the public ID of the account.

ReturnsExpand Collapse
type PipelineGetResponse struct{…}

[DEPRECATED] Describes the configuration of a pipeline. Use the new streams/sinks/pipelines API instead.

ID string

Specifies the pipeline identifier.

Destination PipelineGetResponseDestination
Batch PipelineGetResponseDestinationBatch
MaxBytes int64

Specifies rough maximum size of files.

maximum100000000
minimum1000
MaxDurationS float64

Specifies duration to wait to aggregate batches files.

maximum300
minimum0.25
MaxRows int64

Specifies rough maximum number of rows per file.

maximum10000000
minimum100
Compression PipelineGetResponseDestinationCompression
Type PipelineGetResponseDestinationCompressionType

Specifies the desired compression algorithm and format.

One of the following:
const PipelineGetResponseDestinationCompressionTypeNone PipelineGetResponseDestinationCompressionType = "none"
const PipelineGetResponseDestinationCompressionTypeGzip PipelineGetResponseDestinationCompressionType = "gzip"
const PipelineGetResponseDestinationCompressionTypeDeflate PipelineGetResponseDestinationCompressionType = "deflate"
Format PipelineGetResponseDestinationFormat

Specifies the format of data to deliver.

Path PipelineGetResponseDestinationPath
Bucket string

Specifies the R2 Bucket to store files.

Filename stringoptional

Specifies the name pattern to for individual data files.

Filepath stringoptional

Specifies the name pattern for directory.

Prefix stringoptional

Specifies the base directory within the bucket.

Type PipelineGetResponseDestinationType

Specifies the type of destination.

Endpoint string

Indicates the endpoint URL to send traffic.

Name string

Defines the name of the pipeline.

maxLength128
minLength1
Source []PipelineGetResponseSource
One of the following:
type PipelineGetResponseSourceCloudflarePipelinesWorkersPipelinesHTTPSource struct{…}

[DEPRECATED] HTTP source configuration. Use the new streams API instead.

Format PipelineGetResponseSourceCloudflarePipelinesWorkersPipelinesHTTPSourceFormat

Specifies the format of source data.

Type string
Authentication booloptional

Specifies whether authentication is required to send to this pipeline via HTTP.

CORS PipelineGetResponseSourceCloudflarePipelinesWorkersPipelinesHTTPSourceCORSoptional
Origins []stringoptional

Specifies allowed origins to allow Cross Origin HTTP Requests.

type PipelineGetResponseSourceCloudflarePipelinesWorkersPipelinesBindingSource struct{…}

[DEPRECATED] Worker binding source configuration. Use the new streams API instead.

Format PipelineGetResponseSourceCloudflarePipelinesWorkersPipelinesBindingSourceFormat

Specifies the format of source data.

Type string
Version float64

Indicates the version number of last saved configuration.

[DEPRECATED] Get Pipeline

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/pipelines"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  pipeline, err := client.Pipelines.Get(
    context.TODO(),
    "sample_pipeline",
    pipelines.PipelineGetParams{
      AccountID: cloudflare.F("0123105f4ecef8ad9ca31a8372d0c353"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", pipeline.ID)
}
{
  "result": {
    "id": "123f8a8258064ed892a347f173372359",
    "destination": {
      "batch": {
        "max_bytes": 1000,
        "max_duration_s": 0.25,
        "max_rows": 100
      },
      "compression": {
        "type": "gzip"
      },
      "format": "json",
      "path": {
        "bucket": "bucket",
        "filename": "${slug}${extension}",
        "filepath": "${date}/${hour}",
        "prefix": "base"
      },
      "type": "r2"
    },
    "endpoint": "https://123f8a8258064ed892a347f173372359.pipelines.cloudflare.com",
    "name": "sample_pipeline",
    "source": [
      {
        "format": "json",
        "type": "type",
        "authentication": true,
        "cors": {
          "origins": [
            "*"
          ]
        }
      }
    ],
    "version": 2
  },
  "success": true
}
Returns Examples
{
  "result": {
    "id": "123f8a8258064ed892a347f173372359",
    "destination": {
      "batch": {
        "max_bytes": 1000,
        "max_duration_s": 0.25,
        "max_rows": 100
      },
      "compression": {
        "type": "gzip"
      },
      "format": "json",
      "path": {
        "bucket": "bucket",
        "filename": "${slug}${extension}",
        "filepath": "${date}/${hour}",
        "prefix": "base"
      },
      "type": "r2"
    },
    "endpoint": "https://123f8a8258064ed892a347f173372359.pipelines.cloudflare.com",
    "name": "sample_pipeline",
    "source": [
      {
        "format": "json",
        "type": "type",
        "authentication": true,
        "cors": {
          "origins": [
            "*"
          ]
        }
      }
    ],
    "version": 2
  },
  "success": true
}